## org.exist.soap
Class Collection

    java.lang.Object
      org.exist.soap.Collection

All Implemented Interfaces:
  java.io.Serializable

public class Collection
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Collection()`
`Collection(StringArray collections, StringArray resources)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`StringArray` `getCollections()` Gets the collections value for this Collection.
`static org.apache.axis.encoding.Deserializer` `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`StringArray` `getResources()` Gets the resources value for this Collection.
`static org.apache.axis.encoding.Serializer` `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` `getTypeDesc()` Return type metadata object
`int` `hashCode()`
`void` `setCollections(StringArray collections)` Sets the collections value for this Collection.
`void` `setResources(StringArray resources)` Sets the resources value for this Collection.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Collection

    public Collection()

### Collection

    public Collection(StringArray collections,
                      StringArray resources)

Method Detail

### getCollections

    public StringArray getCollections()

  Gets the collections value for this Collection.

  Returns:
    collections

### setCollections

    public void setCollections(StringArray collections)

  Sets the collections value for this Collection.

  Parameters:
    `collections` -

### getResources

    public StringArray getResources()

  Gets the resources value for this Collection.

  Returns:
    resources

### setResources

    public void setResources(StringArray resources)

  Sets the resources value for this Collection.

  Parameters:
    `resources` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Copyright (C) Wolfgang Meier. All rights reserved.